import React, { useState } from 'react'; import { Box, IconButton, Drawer } from '@mui/material';
import ChatIcon from '@mui/icons-material/Chat'; import CloseIcon from '@mui/icons-material/Close';

const FloatingChatIcon: React.FC = () => {
    const [isOpen, setIsOpen] = useState(false);
    const toggleDrawer = () => {
        setIsOpen(!isOpen);
    }
    
    return (
        <>      
            <Box sx={{ position: 'fixed', bottom: 16, right: 16, zIndex: 1000, }} >       
                <IconButton onClick={toggleDrawer} sx={{ backgroundColor: 'primary.main', color: 'white', '&:hover': { backgroundColor: 'primary.dark', }, }} >         
                <ChatIcon />
                </IconButton>      
            </Box>
            <Drawer anchor="right" open={isOpen} onClose={toggleDrawer} >       
                <Box sx={{ width: 250, p: 2, display: 'flex', flexDirection: 'column', alignItems: 'flex-end', }} >
                    <IconButton onClick={toggleDrawer}>            
                    <CloseIcon />
                    </IconButton>     
                </Box>     
            </Drawer>
        </>
    );
};

export default FloatingChatIcon;





